Debian Bug report logs - #635563
kernel-package: kernel-headers broken by linux-3.0

version graph

Package: kernel-package; Maintainer for kernel-package is Manoj Srivastava <srivasta@debian.org>; Source for kernel-package is src:kernel-package.

Reported by: Matteo Frigo <athena@fftw.org>

Date: Wed, 27 Jul 2011 00:09:02 UTC

Severity: grave

Merged with 639123

Found in versions 12.036+nmu1.1, kernel-package/12.036+nmu1

Fixed in version kernel-package/12.036+nmu2

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#635563; Package kernel-package. (Wed, 27 Jul 2011 00:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matteo Frigo <athena@fftw.org>:
New Bug report received and forwarded. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Wed, 27 Jul 2011 00:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matteo Frigo <athena@fftw.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kernel-package: kernel-headers broken by linux-3.0
Date: Tue, 26 Jul 2011 19:49:10 -0400
Package: kernel-package
Version: 12.036+nmu1
Severity: normal


The following logic for detecting LINK_ARCH in
/usr/share/kernel-package/ruleset/targets/headers.mk does not work for
linux-3.0, and consequently kernel-package produces
an incorrect kernel-headers package:

ifeq ($(shell if [ $(PATCHLEVEL) -eq 6 ] && [ $(SUBLEVEL) -gt 23 ] ; then \
    if [ $(KERNEL_ARCH) = "i386" ] || [ $(KERNEL_ARCH) = "x86_64" ] ; then \
		echo "yes" ; fi ; fi ),yes)
	LINK_ARCH=x86
endif

3.0 is treated like 2.6.X with X <= 23, and kernel-package
looks for include files in arch/x86_64 instead of arch/x86.  However,
include files are in arch/x86 in linux-3.0

-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (900, 'stable'), (10, 'unstable'), (10, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kernel-package depends on:
ii  binutils                     2.20.1-16   The GNU assembler, linker and bina
ii  build-essential              11.5        Informational list of build-essent
ii  debianutils                  3.4         Miscellaneous utilities specific t
ii  file                         5.04-5      Determines file type using "magic"
ii  gettext                      0.18.1.1-3  GNU Internationalization utilities
ii  make                         3.81-8      An utility for Directing compilati
ii  module-init-tools            3.12-1      tools for managing Linux kernel mo
ii  po-debconf                   1.0.16+nmu1 tool for managing templates file t
ii  util-linux                   2.17.2-9    Miscellaneous system utilities

Versions of packages kernel-package recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar

Versions of packages kernel-package suggests:
ii  btrfs-tools             0.19+20100601-3  Checksumming Copy on Write Filesys
ii  bzip2                   1.0.5-6          high-quality block-sorting file co
ii  docbook-utils           0.6.14-1.1       Convert Docbook files to other for
ii  e2fsprogs               1.41.12-4stable1 ext2/ext3/ext4 file system utiliti
ii  grub                    0.97-64          GRand Unified Bootloader (dummy pa
ii  initramfs-tools [linux- 0.98.8           tools for generating an initramfs
ii  jfsutils                1.1.12-2.1       utilities for managing the JFS fil
ii  libncurses5-dev [libncu 5.7+20100313-5   developer's libraries and docs for
pn  linux-source | kernel-s <none>           (no description available)
ii  mcelog                  1.0~pre3-3       x86-64 Machine Check Exceptions co
pn  oprofile                <none>           (no description available)
pn  pcmciautils             <none>           (no description available)
ii  ppp                     2.4.5-4          Point-to-Point Protocol (PPP) - da
ii  procps                  1:3.2.8-9        /proc file system utilities
pn  quota                   <none>           (no description available)
ii  reiserfsprogs           1:3.6.21-1       User-level tools for ReiserFS file
ii  squashfs-tools          1:4.0-8          Tool to create and append to squas
ii  udev                    164-3            /dev/ and hotplug management daemo
ii  xfsprogs                3.1.4            Utilities for managing the XFS fil
ii  xmlto                   0.0.23-2         XML-to-any converter

-- no debconf information

-- debsums errors found:




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#635563; Package kernel-package. (Thu, 04 Aug 2011 17:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 04 Aug 2011 17:54:05 GMT) Full text and rfc822 format available.


Message #10 received at 635563@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: 635563@bugs.debian.org
Date: Thu, 4 Aug 2011 23:50:48 +0600
For some reason even replacing the check with "LINK_ARCH=x86" doesn't
result in include/asm-x86 being packaged.

-- 
WBR, wRAR




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#635563; Package kernel-package. (Sun, 07 Aug 2011 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Gursky <andrey.gursky@e-mail.ua>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Sun, 07 Aug 2011 20:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 635563@bugs.debian.org (full text, mbox):

From: Andrey Gursky <andrey.gursky@e-mail.ua>
To: 635563@bugs.debian.org
Date: Sun, 7 Aug 2011 22:24:45 +0200
Matteo Frigo, thank you for figuring out where it goes wrong.
Andrey Rahmatullin, I've tried to add the following code after the
existing check and it works for me:

ifeq ($(shell if [ $(VERSION) -ge 3 ] ; then \
    if [ $(KERNEL_ARCH) = "i386" ] || [ $(KERNEL_ARCH) = "x86_64" ] ; then \
                echo "yes" ; fi ; fi ),yes)
        LINK_ARCH=x86
endif

Regards,
Andrey




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#635563; Package kernel-package. (Mon, 10 Oct 2011 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihail Kasadjikov <hamer.mk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Mon, 10 Oct 2011 11:57:14 GMT) Full text and rfc822 format available.

Message #20 received at 635563@bugs.debian.org (full text, mbox):

From: Mihail Kasadjikov <hamer.mk@gmail.com>
To: 635563@bugs.debian.org
Subject: kernel-package: kernel-headers broken by linux-3.0
Date: Mon, 10 Oct 2011 14:49:11 +0300
Hello!

I use this patch to solve the issue with broken symlinks and kernel version 3.x:

hamer@h13e:~/download/kernel-package$ cat kernel-package_headers.diff
diff -Naurb kernel-package-12.036+nmu1.orig//kernel/ruleset/targets/headers.mk
kernel-package-12.036+nmu1.1//kernel/ruleset/targets/headers.mk
--- kernel-package-12.036+nmu1.orig//kernel/ruleset/targets/headers.mk
 2009-09-11 17:24:42.000000000 +0300
+++ kernel-package-12.036+nmu1.1//kernel/ruleset/targets/headers.mk
 2011-10-10 12:24:47.734584775 +0300
@@ -31,7 +31,7 @@
 ###############################################################################

 LINK_ARCH=$(KERNEL_ARCH)
-ifeq ($(shell if [ $(PATCHLEVEL) -eq 6 ] && [ $(SUBLEVEL) -gt 23 ] ; then \
+ifeq ($(shell if [ $(VERSION) -eq 3 ] || [ $(PATCHLEVEL) -eq 6 -a
$(SUBLEVEL) -gt 23 ] ; then \
     if [ $(KERNEL_ARCH) = "i386" ] || [ $(KERNEL_ARCH) = "x86_64" ] ; then \
                echo "yes" ; fi ; fi ),yes)
        LINK_ARCH=x86
@@ -101,7 +101,7 @@
        -tar cfh - scripts       |   (cd $(SRCDIR); umask 000; tar xsf -)
        test ! -e arch/powerpc/lib/crtsavres.o ||
            \
           tar cfh - arch/powerpc/lib/crtsavres.o | (cd $(SRCDIR);
umask 000; tar xsf -)
-       (cd $(SRCDIR)/include;   rm -rf asm; ln -s asm-$(LINK_ARCH) asm)
+       (cd $(SRCDIR)/include;   rm -rf asm; ln -s
../arch/$(LINK_ARCH)/include/asm asm)
        find . -path './scripts/*'   -prune -o -path
'./Documentation/*' -prune -o  \
                -path './debian/*'    -prune -o -type f
              \
                \( -name Makefile -o  -name 'Kconfig*' \) -print  |
              \
@@ -115,7 +115,7 @@
        -tar cf - scripts |        (cd $(SRCDIR); umask 000; tar xsf -)
        test ! -e arch/powerpc/lib/crtsavres.o ||
            \
           tar cfh - arch/powerpc/lib/crtsavres.o | (cd $(SRCDIR);
umask 000; tar xsf -)
-       (cd       $(SRCDIR)/include; rm -f asm; ln -s asm-$(LINK_ARCH) asm)
+       (cd       $(SRCDIR)/include; rm -f asm; ln -s
../arch/$(LINK_ARCH)/include/asm asm)
        find . -path './scripts/*' -prune -o -path './Documentation/*'
-prune -o  \
                -path './debian/*'  -prune -o -type f
            \
                \( -name Makefile -o -name 'Kconfig*' \) -print |
            \


WBR,
    Mihail.




Merged 635563 639123. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Tue, 11 Oct 2011 15:21:10 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Andrey Rahmatullin <wrar@wrar.name> to control@bugs.debian.org. (Tue, 20 Dec 2011 08:06:04 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'important' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 23 Jan 2012 13:39:44 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#635563; Package kernel-package. (Wed, 01 Feb 2012 03:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Wed, 01 Feb 2012 03:42:03 GMT) Full text and rfc822 format available.

Message #31 received at 635563@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: 639123@bugs.debian.org
Cc: 635563@bugs.debian.org
Subject: RE: kernel-package: kernel-headers broken by linux-3.0
Date: Wed, 01 Feb 2012 04:39:15 +0100
[Message part 1 (text/plain, inline)]
This has bitted me today when building a custom kernel with
kernel-package....


I have applied the patch suggested by Mihail and it works.


I have changed the logic on the first line of the patch to match kernels
3.x and above (who knows when Linus will decide to release kernel 4.x)
so we avoid having this issue another time in the not-so-long future.


I am attaching the patch here.


The patch is above commit 3ead01d of the git repository of the package
git://git.debian.org/~srivasta/debian/kernel-package.git



Regards!

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Carlos Alberto Lopez Perez                           http://neutrino.es
Igalia - Free Software Engineering                http://www.igalia.com
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[635563.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#635563; Package kernel-package. (Sun, 04 Mar 2012 03:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Sun, 04 Mar 2012 03:27:08 GMT) Full text and rfc822 format available.

Message #36 received at 635563@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 635563@bugs.debian.org
Subject: NMU diff for kernel-package 12.036+nmu2
Date: Sun, 04 Mar 2012 03:23:22 +0000
[Message part 1 (text/plain, inline)]

-- 
Ben Hutchings
Every program is either trivial or else contains at least one bug
[kernel-package_12.036+nmu2.debdiff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 04 Mar 2012 03:39:18 GMT) Full text and rfc822 format available.

Notification sent to Matteo Frigo <athena@fftw.org>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 03:39:20 GMT) Full text and rfc822 format available.

Message #41 received at 635563-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 635563-close@bugs.debian.org
Subject: Bug#635563: fixed in kernel-package 12.036+nmu2
Date: Sun, 04 Mar 2012 03:34:16 +0000
Source: kernel-package
Source-Version: 12.036+nmu2

We believe that the bug you reported is fixed in the latest version of
kernel-package, which is due to be installed in the Debian FTP archive:

kernel-package_12.036+nmu2.dsc
  to main/k/kernel-package/kernel-package_12.036+nmu2.dsc
kernel-package_12.036+nmu2.tar.gz
  to main/k/kernel-package/kernel-package_12.036+nmu2.tar.gz
kernel-package_12.036+nmu2_all.deb
  to main/k/kernel-package/kernel-package_12.036+nmu2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635563@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated kernel-package package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 04 Mar 2012 01:36:38 +0000
Source: kernel-package
Binary: kernel-package
Architecture: source all
Version: 12.036+nmu2
Distribution: unstable
Urgency: low
Maintainer: Manoj Srivastava <srivasta@debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Description: 
 kernel-package - A utility for building Linux kernel related Debian packages.
Closes: 620515 633743 635019 635563 637421 638012
Changes: 
 kernel-package (12.036+nmu2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove minimum-version checks that were incorrect for Linux 3.x and
     were already satisfied by Linux 2.6.26 (lenny) (Closes: #635563)
   * Look for lguest tools in both Documentation/virtual/lguest and
     Documentation/lguest (Closes: #638012)
   * Do not suggest obsolete ksymoops package (Closes: #637421)
   * Fix incompatibility with make 3.82 due to indentation with spaces
     (Closes: #635019), thanks to Jens Lody
   * Fix native builds on armel and armhf (Closes: #633743):
     - Test for cross-compilation by comparing build CPU name with host
       CPU name, not host Debian architecture name
     - Merge armel.mk into arm.mk
     - Add default configuration for armhf
   * Change all example revisions in README to begin with a digit, as
     now expected by dpkg (Closes: #620515)
Checksums-Sha1: 
 05f8ba7480a093117f0d77b969a9a18d8edd2e90 1604 kernel-package_12.036+nmu2.dsc
 1baad762d04d4d50b772e9a4e4fc83521752770b 552405 kernel-package_12.036+nmu2.tar.gz
 cb3600aa2e09ae4286d7fb76044211809a5ffe75 500916 kernel-package_12.036+nmu2_all.deb
Checksums-Sha256: 
 0e1043f28d07aed4075f638a585b7ae01b8cd70fee0f97f1e0865810427c69a7 1604 kernel-package_12.036+nmu2.dsc
 a5355aac199a1a1d4a611964cdd9db5f835ad19f2ee2db0b769089c130303ec0 552405 kernel-package_12.036+nmu2.tar.gz
 a2756169a20ce529f45b0d43e7fa1965d54f08757d717c591ae61ae22a3a62ba 500916 kernel-package_12.036+nmu2_all.deb
Files: 
 e4a1ffb466994033a3e7e0dfce583c76 1604 kernel optional kernel-package_12.036+nmu2.dsc
 1fa5748615b13439189a29184ce247b0 552405 kernel optional kernel-package_12.036+nmu2.tar.gz
 2b3c860be371af88ef9c54278a5383b8 500916 kernel optional kernel-package_12.036+nmu2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBT1LfcOe/yOyVhhEJAQpvVA/9G6gDap1Rtsj3EyPjzAL+2QoGBl/hJ2BA
wjx1yO/G75kO72t7v7boWP5R1f0vW8GET/3Q6z61V2Tfq6So3vxS3S+nFJac0ird
azNPrCDDcezeLTvb7JvF4eTOvE1jruIjXKZKMoT3+EfjdTN5xX3lFq5PE3a3cKcS
cEHUo82Eixb7Dg7LTcphQ6vuW13oyI0nEgZ3oUp09njbi8ymy5szVXuH6JLiPcZe
aJf+ngP0mNQGHArR0ejKncPdaEE58FgiJUyXzIGZ38J1FD7JYA5GWU7TtivyASRf
OLDRChV8hHWoSPp/o2wBv+DPrtpSnJ5z8g1q0je1RlLURBIVZu/+U+/pPh7mFKOh
b+qC/fHVef96JhBh//omlUg51e3jPETDsJCIo10qf0Ni/+AprJJxJpoQsb6fBFEg
7KHiR3CKG07CuAwzCp1bI9sbbJbmwfMy5iHLf+v9400NF9BlH3dZQ7hN1uwcaOvJ
LXPyz8bZB2KalMUuPZ0JFtuwW4ka6FSYQhwyJ9G2CKBEKum5g5cOtQ3/oETel37z
YnAKLgVygKu+ZBoh+Cwc/JGsMPTguIbe3jr6aocWJgPm3riUrYmJmAVfknLK70YV
/M78ir5OKw7LRE2nd+Q2O5q4dR8FNXmng8+Jo9srBee5JD6Td5g5NbcIlxr42t1P
HYN7wxJAQzg=
=ba21
-----END PGP SIGNATURE-----





Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 04 Mar 2012 03:39:23 GMT) Full text and rfc822 format available.

Notification sent to Sven Geggus <lists@fuchsschwanzdomain.de>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 03:39:24 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:42:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 15:56:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.